/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package ix.houseware.category;

import ix.houseware.category.service.CategorySubcategories;
import ix.houseware.category.service.CategoryWebService_Service;
import java.util.ArrayList;
import java.util.Collection;
import java.util.List;
import org.apache.log4j.Logger;
import javax.ejb.Stateless;
import javax.ejb.LocalBean;
import javax.xml.ws.WebServiceRef;

/**
 *
 * @author sam
 */
@Stateless
//@LocalBean
public class CategoryManagerImpl implements CategoryManager {
//    @WebServiceRef(wsdlLocation = "META-INF/wsdl/www.ixsystems.com.au/category-ws-0.0.1-SNAPSHOT/services.wsdl")
    @WebServiceRef(wsdlLocation = "http://www.ixsystems.com.au/category-ws-0.0.1-SNAPSHOT/services?wsdl")
    private CategoryWebService_Service service;
    
    private static final Logger logger = Logger.getLogger(CategoryManagerImpl.class);

    @Override
    public Collection<CategorySubcategories> findAll() {
        List<CategorySubcategories> result = new ArrayList<CategorySubcategories>();
        try { // Call Web Service Operation
            ix.houseware.category.service.CategoryWebService port = service.getCategoryWebServiceImplPort();
            result = port.findAll();
            logger.info("Result = " +result.toString());
            System.out.println("Result = "+result);
        } catch (Exception ex) {
            throw new RuntimeException(ex.getMessage());
        }
        return result;
    }
    
    @Override
    public Collection<CategorySubcategories> find(final String name, final String desc) {
        List<CategorySubcategories> result = new ArrayList<CategorySubcategories>();
        try { // Call Web Service Operation
            ix.houseware.category.service.CategoryWebService port = service.getCategoryWebServiceImplPort();
            // TODO initialize WS operation arguments here
            result = port.find(name, desc);
            logger.info("Result = " +result.toString());
        } catch (Exception ex) {
            throw new RuntimeException(ex.getMessage());
        }
        return result;
    }
    
}
